org.jgroups.util

## Interface NotifyingFuture<T>

All Superinterfaces:
  java.util.concurrent.Future<T>

All Known Implementing Classes:
  ExecutionService.DistributedFuture, GroupRequest, MultiRequest, NullFuture, Request, UnicastRequest

    public interface NotifyingFuture<T>
    extends java.util.concurrent.Future<T>

A sub-interface of a Future, that allows for listeners to be attached so that observers can be notified when the future completes.

See `FutureListener` for more details.

Since:
  2.9
Author:
  Manik Surtani

### Method Summary

Methods
`NotifyingFuture` `setListener(FutureListener<T> listener)` Attaches a listener and returns the same future instance, to allow for 'building' futures.

### Methods inherited from interface java.util.concurrent.Future

`cancel, get, get, isCancelled, isDone`

### Method Detail

#### setListener

    NotifyingFuture setListener(FutureListener<T> listener)

Attaches a listener and returns the same future instance, to allow for 'building' futures.

Parameters:
  `listener` - listener to attach
Returns:
  the same future instance